gh(1)

NAME

gh-pr-merge - Merge a pull request

SYNOPSIS

gh pr merge [ | | ] [flags]

DESCRIPTION

Merge a pull request on GitHub.

By default, the head branch of the pull request will get deleted on both remote and local repositories. To retain the branch, use '--delete-branch=false'.

OPTIONS

-d, --delete-branch[=true]
    Delete the local and remote branch after merge

-m, --merge[=false]
    Merge the commits with the base branch

-r, --rebase[=false]
    Rebase the commits onto the base branch

-s, --squash[=false]
    Squash the commits into one commit and merge it into the base branch

OPTIONS INHERITED FROM PARENT COMMANDS

--help[=false]
    Show help for command

-R, --repo=""
    Select another repository using the [HOST/]OWNER/REPO format

SEE ALSO

gh-pr(1)